Loading...
Searching...
No Matches
ValueTraits< T, false > Struct Template Reference

`#include <openvdb/Types.h>`

## Public Types

using | ElementType = T

## Static Public Attributes

static const bool | IsVec = false
static const bool | IsQuat = false
static const bool | IsMat = false
static const bool | IsScalar = true
static const int | Size = 1
static const int | Elements = 1

## Member Typedef Documentation

## ElementType

template<typename T >

using ElementType = T

## Member Data Documentation

## Elements

template<typename T >

const int Elements = 1

static

## IsMat

template<typename T >

const bool IsMat = false

static

## IsQuat

template<typename T >

const bool IsQuat = false

static

## IsScalar

template<typename T >

const bool IsScalar = true

static

## IsVec

template<typename T >

const bool IsVec = false

static

## Size

template<typename T >

const int Size = 1

static